//##############################################################################################
// Amandi's Webtool to display status of Senec, Solis and Growatt inverter
// Callback to server to read current values
// (C) 2021-2021 Ralf Amandi Systementwicklung and Avarix GmbH 
//  26.10.2021 V1.0
//  07.07.2021 V1.21 Exception Ausgabe verbessert
//  07.03.2022 V1.5 Code Cleanup 
//##############################################################################################

function ServerRequest(inObj, url, okFunc,errFunc)
{
	var req= new XMLHttpRequest();
	// Antwort verarbeiten
	req.onload=() => {
	   try {
			if (req.status >=200 && req.status <=300) {// Warum nicht = 200?
				resp=JSON.parse(req.responseText);
				// console.log(resp);
				okFunc(resp);
			} else {
				errFunc(req.status,req.responseText);
			}	
	   } catch(e) {
			Text=req.responseText;
			if (Text) { Text = Text.substr(0,50); }
			errFunc("EXCEPTION",e.toString()+"\nTEXT: "+Text); 
	   }
	};
	
	// Request erzeugen
	req.open("POST", url); //http://"+host+
	req.setRequestHeader('Content-Type', 'application/json')
	
	// und load
	req.send(JSON.stringify(inObj));

}
